Debian Bug report logs - #657028
RFP: gcc-4.3 -- old version of GNU Compiler Collection

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: David Madore <david+bugs@madore.org>

Date: Mon, 23 Jan 2012 15:33:02 UTC

Severity: wishlist

Done: Adrian Bunk <bunk@stusta.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657028; Package wnpp. (Mon, 23 Jan 2012 15:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Madore <david+bugs@madore.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 23 Jan 2012 15:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Madore <david+bugs@madore.org>
To: submit@bugs.debian.org
Subject: RFP: gcc-4.3 for Debian wheezy
Date: Mon, 23 Jan 2012 16:19:10 +0100
Package: wnpp
Severity: wishlist

* Package name    : gcc-4.3
  Version         : 4.3.6
  Upstream Author : many
* URL             : http://gcc.gnu.org/gcc-4.3/
* License         : GPLv3
  Description     : The GNU C Compiler version 4.3

Debian wheezy currently has packages for gcc versions (at least) 4.4,
4.5 and 4.6.  Version 4.3 is conspicuously missing (see bug #650238
which is closed as "wontfix"), and specifically version 4.3.6 does not
appear to have ever been packaged by Debian.

This is a serious problem, because gcc-4.3 is the one used to compile
the kernel on Debian squeeze (package linux-headers-2.6.32-5-686
depends on it).  This means it is simply impossible to compile kernel
modules for Debian squeeze from Debian wheezy.

It seems pretty disastrous that support for old gcc versions does not
extend as far back in time as the version used for the kernel in the
immediately previous version of Debian.

-- 
     David A. Madore
   ( http://www.madore.org/~david/ )




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657028; Package wnpp. (Fri, 03 Feb 2012 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bas van den Dikkenberg <bas@dikkenberg.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 03 Feb 2012 20:48:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Bas van den Dikkenberg <bas@dikkenberg.net>
To: "submit@bugs.debian.org" <submit@bugs.debian.org>
Subject: Bug#657028
Date: Fri, 3 Feb 2012 20:45:47 +0000
[Message part 1 (text/plain, inline)]
Can some merge this bug with #658535
[Message part 2 (text/html, inline)]

Merged 657028 658535. Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Wed, 15 Feb 2012 11:30:17 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: gcc-4.3 -- old version of GNU Compiler Collection' from 'RFP: gcc-4.3 for Debian wheezy' Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Tue, 27 Mar 2012 07:51:13 GMT) Full text and rfc822 format available.

Owner recorded as bas@dikkenberg.net. Request was from Nathan Handler <nhandler@ubuntu.com> to control@bugs.debian.org. (Thu, 07 Jun 2012 17:12:07 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by bas@dikkenberg.net. Request was from Bas van den Dikkenberg <bas@dikkenberg.net> to control@bugs.debian.org. (Fri, 08 Jun 2012 17:45:07 GMT) Full text and rfc822 format available.

Disconnected #658535 from all other report(s). Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Tue, 12 Jun 2012 05:45:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: gcc-4.3 -- old version of GNU Compiler Collection' from 'ITP: gcc-4.3 -- old version of GNU Compiler Collection' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Tue, 12 Jun 2012 05:45:09 GMT) Full text and rfc822 format available.

Message sent on to David Madore <david+bugs@madore.org>:
Bug#657028. (Mon, 15 Apr 2013 23:33:15 GMT) Full text and rfc822 format available.

Message #25 received at 657028-submitter@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 657028-submitter@bugs.debian.org
Subject: Re: RFP: gcc-4.3 -- old version of GNU Compiler Collection
Date: Tue, 16 Apr 2013 08:32:47 +0900
Hi,

> This is a serious problem, because gcc-4.3 is the one used to compile
> the kernel on Debian squeeze (package linux-headers-2.6.32-5-686
> depends on it).  This means it is simply impossible to compile kernel
> modules for Debian squeeze from Debian wheezy.

 No, it's possible via making Squeeze environment with chroot, like
 debootstrap. Please let me know if it's not enough.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Reply sent to Adrian Bunk <bunk@stusta.de>:
You have taken responsibility. (Sun, 15 Dec 2013 19:51:16 GMT) Full text and rfc822 format available.

Notification sent to David Madore <david+bugs@madore.org>:
Bug acknowledged by developer. (Sun, 15 Dec 2013 19:51:16 GMT) Full text and rfc822 format available.

Message #30 received at 657028-done@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: 657028-done@bugs.debian.org
Subject: Closing this RFP
Date: Sun, 15 Dec 2013 21:50:03 +0200
I'm closing this RFP since the stated purpose for having gcc-4.3 back 
in unstable was to compile squeeze kernel modules from wheezy, and that
is now moot.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Jan 2014 07:29:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:34:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.